#!/bin/sh
if [ -n "$1" ]; then CC="$1"; elif [ -z "$CC" ]; then CC="cc"; fi

echo "Built    : `date -u +"%Y-%m-%d %H:%M:%S"`"
echo "Platform : `uname -s -r -v -m`"
echo "Target   : `$CC -dumpmachine`"
echo "Compiler : `$CC -v 2>&1 | grep -iE '\b(gcc|clang)\s+version\b' | head -n 1`"
